Bulk create Devices from a manifest. Only a Microchip Trust and Go manifest is currently supported.
curl --request POST \
--url https://manage.nervescloud.com/api/orgs/{org_name}/products/{product_name}/devices/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
"Please refer to the Microchip Trust and Go Manifest documentation"
]
'import requests
url = "https://manage.nervescloud.com/api/orgs/{org_name}/products/{product_name}/devices/import"
payload = ["Please refer to the Microchip Trust and Go Manifest documentation"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify(['Please refer to the Microchip Trust and Go Manifest documentation'])
};
fetch('https://manage.nervescloud.com/api/orgs/{org_name}/products/{product_name}/devices/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"detail": "Resource Not Found or Authorization Insufficient"
}
}{
"errors": {
"detail": "Resource Not Found or Authorization Insufficient"
}
}{
"errors": {
"identifier": [
"can't be blank"
]
}
}Devices
Bulk create Devices from a manifest. Only a Microchip Trust and Go manifest is currently supported.
POST
/
api
/
orgs
/
{org_name}
/
products
/
{product_name}
/
devices
/
import
Bulk create Devices from a manifest. Only a Microchip Trust and Go manifest is currently supported.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Certificate manifest
POST body for bulk creating a list of Devices
Response
No content

